deleteTargetGroups

Prev Next

Available in VPC

Delete a target group. You can't delete target groups in use.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /vloadbalancer/v2/deleteTargetGroups

Request headers

For information about the headers common to all Load Balancer APIs, see Load Balancer request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code for the target group to delete
  • First Region of the getRegionList search result (default)
  • See getRegionList
targetGroupNoList.N List[String] Required Number list of the target group
  • targetGroupNo can be obtained through getTargetGroupList
  • <E.g.> targetGroupNoList.1=1234&targetGroupNoList.2=2345
responseFormatType String Optional Response result format
  • xml (default) | json

Request example

The following is a sample request.

curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/deleteTargetGroups?regionCode=KR&targetGroupNoList.1=*******' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See TargetGroupList for the response body.

Response status codes

For information about the HTTP status codes common to all Load Balancer APIs, see Load Balancer response status codes.

Response example

The following is a sample response.

<deleteTargetGroupsResponse>
    <requestId>9b6f0a2f-abeb-49e5-bd25-a3aa365c4566</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>1</totalRows>
    <targetGroupList>
        <targetGroup>
            <targetGroupNo>*******</targetGroupNo>
            <targetGroupName>YOUR_TARGET_GROUP</targetGroupName>
            <targetType>
                <code>VSVR</code>
                <codeName>Server (VPC)</codeName>
            </targetType>
            <vpcNo>*****</vpcNo>
            <targetGroupProtocolType>
                <code>HTTP</code>
                <codeName>HTTP protocol</codeName>
            </targetGroupProtocolType>
            <targetGroupPort>80</targetGroupPort>
            <targetGroupDescription></targetGroupDescription>
            <useStickySession>false</useStickySession>
            <useProxyProtocol>false</useProxyProtocol>
            <algorithmType>
                <code>RR</code>
                <codeName>Round Robin</codeName>
            </algorithmType>
            <createDate>2024-06-04T10:17:10+0900</createDate>
            <regionCode>KR</regionCode>
            <loadBalancerInstanceNo></loadBalancerInstanceNo>
            <healthCheckProtocolType>
                <code>HTTP</code>
                <codeName>HTTP protocol</codeName>
            </healthCheckProtocolType>
            <healthCheckPort>80</healthCheckPort>
            <healthCheckUrlPath>/</healthCheckUrlPath>
            <healthCheckHttpMethodType>
                <code>GET</code>
                <codeName>HTTP GET Method</codeName>
            </healthCheckHttpMethodType>
            <healthCheckCycle>30</healthCheckCycle>
            <healthCheckUpThreshold>2</healthCheckUpThreshold>
            <healthCheckDownThreshold>2</healthCheckDownThreshold>
            <targetNoList/>
        </targetGroup>
    </targetGroupList>
</deleteTargetGroupsResponse>